
I=double(imread('cuad.bmp'));
I=(I(:,:,1)+I(:,:,2)+I(:,:,3))/3;
subplot(2,2,1);
I=1-double(I>0);
imshow(I);


I=bwmorph(I,'skel',Inf);
subplot(2,2,2);
imshow(I);

I=double(imread('trian.bmp'));

subplot(2,2,3);
I=double(I>0);
imshow(I);


I=bwmorph(I,'skel',Inf);
subplot(2,2,4);
imshow(I);
